// -*- mode: C++ -*- 

#ifndef WIN32
// ABI interface 
# define type_of_call
// Declaring string arguments
# define DEFCHARD	const char*
# define DEFCHARL	, const int
// Passing string arguments
# define PASSCHARD(s)	s
# define PASSCHARL(l)	, strlen(s)
// Specific to this library
# define foo		foo_
# define bar		bar_
#else
// ABI interface 
# define type_of_call	_stdcall
// Declaring string arguments
# define DEFCHARD	const char*, const int
# define DEFCHARL	
// Passing string arguments
# define PASSCHARD(s)	s, strlen(s)
# define PASSCHARL(l)	
// Specific to this library
# define foo		FOO
# define bar		BAR
#endif

extern "C" 
{
  // Declaration of extern Fortran subroutine. 
  void foo(double& x, double& y);
  
  // Declaration of type of extern Fortran common block
  struct bar_common 
  {
    double store;
  };
  // The external common block
  extern struct bar_common bar;
}

// Interfaces to be architecture independent. 
// Pointer to common block. 
extern bar_common* gBar;
// Wrapper function to call Fortran subroutine 
extern void fooFunc(double& x, double& y);

//
// EOF
//



